
Redmine - Defect #3869

Filter using Target Version loses 'Target Version' part of the filter when applied across all tickets.

2009-09-15 03:14 - Robert Chady

Status: Closed Start date: 2009-09-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

1. Create a new query for a project that uses the 'Target version' filter.

2. Run that query across all issues in all projects

3. Edit the query, the Target version part will be gone from the query (and it actually doesn't work either)

I would suggest either making the Target version dropdown collect all Target versions across all projects OR, make it a text box

where you can enter the Target version to apply in the filter.

Related issues:

Related to Redmine - Feature #2665: Filter on sub projects target version wit... Closed 2009-02-04

Related to Redmine - Patch #26091: Allow to filter by any visible version on ... Closed

History

#1 - 2016-01-15 02:59 - Go MAEDA

Ewan Makepeace wrote at #1258#note-5 on 2008-09-08:

Filtering of issues by target version is available at the project level but not at the root or parent project level (presumably because the versions

are per project and not common across projects).

Still I have deliberately defined identical version numbers across all projects precisely so that I could sort and filter issues by version and am now

stuck. Is there no way we could, perhaps, allow filter by "Version Contains (string)" or "Version Starts With"?

Would be quite useful...

 ben donohue wrote at #1258#note-6 on 2008-12-18:

+1.

In the interim I think we can achieve this by exporting a list of issues in CSV and then sorting by Target Version, but I agree with Ewan, it would

be very useful. (and not just target version name, but perhaps the DATE associated with the target versions).

#2 - 2016-01-15 03:07 - Go MAEDA

- Related to Feature #2665: Filter on sub projects target version within the main project added

#3 - 2018-04-04 08:40 - Willmore BattleShipNet

Robert Chady wrote:

1. Create a new query for a project that uses the 'Target version' filter.

2. Run that query across all issues in all projects

3. Edit the query, the Target version part will be gone from the query (and it actually doesn't work either)

I would suggest either making the Target version dropdown collect all Target versions across all projects OR, make it a text box where you can

enter the Target version to apply in the filter.

 In version 3.3.1.stable tried that query and "Target version" filter didn't disappear. Can this be that this defect was fixed?

#4 - 2018-07-01 09:09 - Marius BĂLTEANU

- Related to Patch #26091: Allow to filter by any visible version on the global issues view added
#5 - 2018-07-01 09:09 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

Fixed for sure in #26091 that allows to filter by any visibile target version in the global page.
